curl --location --request PATCH 'https://api.techrar.com/order/v1/carts//' \
--header 'app-id: 4' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"customer_id": 1,
"items": [
{
"item_id": 108,
"qty": 1,
"auto_renew": false,
"date": "2025-03-11",
"time": null
}
]
}'{
"id": 383,
"created_at": "2025-06-16T19:42:34.585869+03:00",
"is_expired": false,
"customer_id": 1,
"items": [
{
"id": 459,
"item": {
"id": 108,
"custom_fields": null,
"images": [
{
"ordering": 0,
"lang": "en",
"full_size": "/media/uploads/items/full_size/2025/05/14/5a8747e6-f1ae-4dfd-b812-66cfdf9e2803.png",
"thumbnail": "/media/uploads/items/thumbnail/2025/05/14/ecf22fe0-0509-482c-bbca-63f13a6d3cec.png",
"large": null,
"medium": null,
"small": null
},
{
"ordering": 12,
"lang": "en",
"full_size": "/media/uploads/items/full_size/2025/05/14/db0b5126-84ee-499d-8dbe-2183ad549a8b.png",
"thumbnail": "/media/uploads/items/thumbnail/2025/05/14/6bcd31cb-e570-40a6-88ec-39ef97822c95.png",
"large": null,
"medium": null,
"small": null
}
],
"discount": {
"is_applied": false,
"is_trial_applied": false,
"is_usage_price": false,
"price_after_discount_no_trial": 100,
"price_after_discount": 100
},
"stock": {
"in_stock": true,
"qty": 100
},
"modifiers": [
{
"id": 3,
"ordering": 0,
"name_en": "mod",
"name_ar": "mod",
"values": [
{
"id": 5,
"ordering": 0,
"name_en": "one",
"name_ar": "one"
},
{
"id": 6,
"ordering": 0,
"name_en": "two",
"name_ar": "two"
}
]
}
],
"variants": [
{
"id": 108,
"custom_fields": null,
"images": [
{
"ordering": 0,
"lang": "en",
"full_size": "/media/uploads/items/full_size/2025/05/14/5a8747e6-f1ae-4dfd-b812-66cfdf9e2803.png",
"thumbnail": "/media/uploads/items/thumbnail/2025/05/14/ecf22fe0-0509-482c-bbca-63f13a6d3cec.png",
"large": null,
"medium": null,
"small": null
},
{
"ordering": 12,
"lang": "en",
"full_size": "/media/uploads/items/full_size/2025/05/14/db0b5126-84ee-499d-8dbe-2183ad549a8b.png",
"thumbnail": "/media/uploads/items/thumbnail/2025/05/14/6bcd31cb-e570-40a6-88ec-39ef97822c95.png",
"large": null,
"medium": null,
"small": null
}
],
"discount": {
"is_applied": false,
"is_trial_applied": false,
"is_usage_price": false,
"price_after_discount_no_trial": 100,
"price_after_discount": 100
},
"stock": {
"in_stock": true,
"qty": 100
},
"plan_config": null,
"off_days": [],
"off_dates": [],
"variant_title_en": "one2",
"variant_title_ar": "one2",
"modifier_values": [
5
],
"app_id": 86,
"ordering": 0,
"type": "product",
"service_type": "digital",
"sku": "1744877612311",
"price": 100,
"name_en": "test",
"name_ar": "test",
"description_en": "",
"description_ar": "",
"is_plan_only": false,
"is_plan_enabled": false,
"served_from_date": null,
"served_to_date": null,
"served_from_time": null,
"served_to_time": null
},
{
"id": 111,
"custom_fields": null,
"images": [],
"discount": {
"is_applied": true,
"is_trial_applied": false,
"is_usage_price": false,
"price_after_discount_no_trial": 180,
"price_after_discount": 180
},
"stock": {
"in_stock": true,
"qty": 100
},
"plan_config": null,
"off_days": [],
"off_dates": [],
"variant_title_en": "two_updated",
"variant_title_ar": "two_updated",
"modifier_values": [
6
],
"app_id": 86,
"ordering": 0,
"type": "product",
"service_type": "digital",
"sku": "1746546599705",
"price": 200,
"name_en": "test",
"name_ar": "test",
"description_en": "",
"description_ar": "",
"is_plan_only": false,
"is_plan_enabled": false,
"served_from_date": null,
"served_to_date": null,
"served_from_time": null,
"served_to_time": null
}
],
"varies_on": "modifiers",
"bundle_categories": [],
"plan_config": null,
"off_days": [],
"off_dates": [],
"app_id": 86,
"ordering": 0,
"type": "product",
"service_type": "digital",
"sku": "1744877612311",
"price": 100,
"name_en": "test",
"name_ar": "test",
"description_en": "",
"description_ar": "",
"is_plan_only": false,
"is_plan_enabled": false,
"served_from_date": null,
"served_to_date": null,
"served_from_time": null,
"served_to_time": null,
"categories": [
12
]
},
"price": 100,
"qty": 1,
"auto_renew": false,
"date": "2025-03-11",
"time": null,
"total_price": 100,
"parent_cart_item": null
}
],
"price": 100
}